=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
SVN_URL = http://svn.tribler.org/abc/branches/mainbranch/

%:
	dh $@ --with python2 

override_dh_auto_configure:
	chmod a-x Tribler/Tools/bitbucket-live-noauth.py
	chmod a-x Tribler/Tools/pipe-babscam-h264-nosound-mencoder.sh
	chmod a-x Tribler/Tools/pipe-babscam-h264-aac-gop-sync.sh
	chmod a-x Tribler/Tools/pipe-arnocam-home.sh
	chmod a-x Tribler/Tools/bitbucket-live.py
	chmod a-x Tribler/Tools/pipe-arnocam-jip.sh
	chmod a-x Tribler/Tools/pipe-babscam-h264-mp3.sh
	chmod a-x Tribler/Tools/pipe-babscam-mpeg4-mp3-sync.sh
	dh_auto_configure

override_dh_auto_build:
	make -C $(CURDIR)/Tribler/SwiftEngine
	dh_auto_build

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Core/DecentralizedTracking/pymdht/LICENSE.txt
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/LICENSE.txt
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/vwxGUI/images/license
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/LICENSE
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/ns-LICENSE.txt
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Test
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/Build
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Player/Build
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Transport/Build
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/SwiftEngine
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/Utility/Feeds/feedparser.py
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/mootools.js
	dh_link -ptribler usr/share/javascript/mootools/mootools.js usr/share/tribler/Tribler/Main/webUI/static/mootools.js

override_dh_auto_clean:
	make -C $(CURDIR)/Tribler/SwiftEngine clean || echo "SwiftEngine cleaned"
	dh_auto_clean

get-orig-source:
	set -e; if echo $(DEB_VERSION) | grep -c "svn"; \
	then \
		svn_version=`echo $(DEB_VERSION) | sed -e 's/^.*svn\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
		svn_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	svn checkout --no-auth-cache --non-interactive --trust-server-cert --ignore-externals -r $$svn_version $(SVN_URL) tribler; echo "getting specific upstream revision/tag: $$svn_version"; \
	svn checkout --no-auth-cache --non-interactive --trust-server-cert -r $$svn_version http://svn.tribler.org/libswift/branches/arno/swift-like-ftp tribler/Tribler/SwiftEngine; echo "getting specific upstream revision/tag: $$svn_version"; \
	svn checkout --no-auth-cache --non-interactive --trust-server-cert -r $$svn_version http://svn.tribler.org/dispersy/trunk tribler/Tribler/dispersy; echo "getting specific upstream revision/tag: $$svn_version"; \
	tar --exclude=.svn --exclude='*.exe' --exclude='draft-ietf-ppsp-*' \
	-cJvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.xz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir
