## tribler 6.2.0+git20130731.149555fa

=== Tribler/SwiftEngine/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-LIBEVENT_HOME=/prod/pkgs/libevent-2.0.17
+LIBEVENT_HOME=/usr
 
 # Remove NDEBUG define to trigger asserts
 CPPFLAGS+=-O2 -I. -DNDEBUG -Wall -Wno-sign-compare -Wno-unused -g -I${LIBEVENT_HOME}/include -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
@@ -15,7 +15,7 @@
 	touch swift-static
 
 swift-dynamic: swift
-	g++ ${CPPFLAGS} -o swift *.o ${LDFLAGS} -L${LIBEVENT_HOME}/lib -Wl,-rpath,${LIBEVENT_HOME}/lib
+	g++ ${CPPFLAGS} -o swift *.o ${LDFLAGS} -L${LIBEVENT_HOME}/lib
 	touch swift-dynamic
 
 clean:
