=== Tribler/SwiftEngine/SConstruct ===
--- 
+++ 
@@ -71,7 +71,7 @@
         libs += ['gtestd']
         
     # Update lib search path
-    libpath = os.environ['LIBPATH']
+    libpath = os.environ.get('LIBPATH','')
     libpath += libevent2path+';'
     if DEBUG:
         libpath += '\\build\\gtest-1.4.0\\msvc\\gtest\\Debug;'
@@ -98,11 +98,16 @@
     env.Append(CPPPATH=".:"+cpppath)
     #env.Append(LINKFLAGS="--static")
 
-    #if DEBUG:
-    #    env.Append(CXXFLAGS="-g")
+    if 'CXXFLAGS' in os.environ:
+        cxxflags = os.environ['CXXFLAGS']
+    else:
+        cxxflags = ""
+    if DEBUG:
+        cxxflags += " -g "
 
     # Large-file support always
-    env.Append(CXXFLAGS="-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE")
+    cxxflags += " -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE "
+    env.Append(CXXFLAGS=cxxflags)
 
     # Set libs to link to
     libs = ['stdc++','libevent','pthread']
