=== debian/changelog ===
tribler (6.2.0+git20130731.149555fa-1ubuntu1) trusty; urgency=low

  * Port to avconv.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 24 Nov 2013 14:51:04 +0000

tribler (6.2.0+git20130731.149555fa-1) unstable; urgency=low

  * New upstream release
  * Remove debian/patches. Applied upstreamed.
  * Bump Standards-Version to 3.9.4: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 21 Sep 2013 00:13:03 +0800
