=== debian/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Source: tribler
 Section: net
 Priority: optional
-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python, libevent-dev
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Build-Depends: debhelper (>= 9),
+               dpkg-dev (>= 1.16.1~),
+               libevent-dev (>= 2.0.17),
+               python (>= 2.6.6-3~),
+               scons
+Standards-Version: 3.9.4
 Homepage: http://www.tribler.org/
 
 Package: tribler
 Architecture: all
-Depends: ffmpeg,
+Depends: libav-tools,
          libjs-mootools,
          python-apsw,
          python-feedparser,
+         python-libtorrent,
          python-m2crypto,
          python-netifaces,
          python-wxgtk2.8,
