=== debian/changelog ===
tribler (6.3.1+git20140902.9a5a2604-3) unstable; urgency=low

  * Add libx11-6 to Depends.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 15 Sep 2014 22:31:55 +0800

tribler (6.3.1+git20140902.9a5a2604-2) unstable; urgency=low

  * Use mktemp to generate log file in tmp. (Closes: #760561)
  * Update debian/copyright to fix the license short name missing.
  * Use libjs-excanvas.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 15 Sep 2014 14:03:11 +0800

tribler (6.3.1+git20140902.9a5a2604-1) unstable; urgency=medium

  * New upstream release
  * Remove patch use-libav-instead-of-ffmpeg.patch: included in upstream.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 05 Sep 2014 13:59:34 +0800

tribler (6.2.0+git20130731.149555fa-2) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Bump Standards-Version to 3.9.5: nothing needs to be changed.
  
  [ Tobias Frost <tobi@coldtobi.de> ]
  * Use avconf instead of ffmpeg. See patch use-libav-instead-of-ffmpeg.patch
    (Closes: #721108) and change dependency accordingly to libav-tools

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 12 May 2014 02:57:29 +0800
