=== debian/control ===
--- 
+++ 
@@ -1,27 +1,33 @@
 Source: tribler
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
                libevent-dev (>= 2.0.17),
+               libssl-dev,
                python (>= 2.6.6-3~),
                scons
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.tribler.org/
 
 Package: tribler
 Architecture: all
 Depends: libav-tools,
+         libjs-excanvas,
          libjs-mootools,
+         libx11-6,
          python-apsw,
+         python-cherrypy3,
          python-feedparser,
-         python-libtorrent,
+         python-gmpy,
+         python-libtorrent (>= 0.16.4),
          python-m2crypto,
          python-netifaces,
+         python-pyasn1,
+         python-twisted,
          python-wxgtk2.8,
-         tribler-swift,
+         tribler-swift (>= ${source:Version}),
          vlc (>= 1.1.0),
          ${misc:Depends},
          ${python:Depends}
