=== debian/rules ===
--- 
+++ 
@@ -15,19 +15,10 @@
 GIT_URL = https://github.com/Tribler/tribler.git
 
 %:
-	dh $@ --with python2 
+	dh $@ --with python2
 
 override_dh_auto_configure:
-	chmod a-x Tribler/Tools/bitbucket-live-noauth.py
-	chmod a-x Tribler/Tools/pipe-babscam-h264-nosound-mencoder.sh
-	chmod a-x Tribler/Tools/pipe-babscam-h264-aac-gop-sync.sh
-	chmod a-x Tribler/Tools/pipe-arnocam-home.sh
-	chmod a-x Tribler/Tools/bitbucket-live.py
-	chmod a-x Tribler/Tools/pipe-arnocam-jip.sh
-	chmod a-x Tribler/Tools/pipe-babscam-h264-mp3.sh
-	chmod a-x Tribler/Tools/pipe-babscam-mpeg4-mp3-sync.sh
-	chmod a+x Tribler/community/demers/das4/demers.conf
-	chmod a+x Tribler/community/privatesearch/das4/search.conf
+	chmod a-x $(CURDIR)/Tribler/Core/DecentralizedTracking/pymdht/ui/images/*.png
 	dh_auto_configure
 
 override_dh_auto_build:
@@ -35,7 +26,7 @@
 	dh_auto_build
 
 override_dh_install:
-	dh_install
+	dh_install --exclude=.git
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Core/DecentralizedTracking/pymdht/LICENSE.txt
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/LICENSE.txt
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/vwxGUI/images/license
@@ -47,10 +38,12 @@
 	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Transport/Build
 	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/SwiftEngine
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/Utility/Feeds/feedparser.py
+	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Core/DecentralizedTracking/pymdht/LGPL-2.1.txt
 	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/mootools.js
-	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Core/DecentralizedTracking/pymdht/LGPL-2.1.txt
+	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/excanvas.js
 
 	dh_link -ptribler usr/share/javascript/mootools/mootools.js usr/share/tribler/Tribler/Main/webUI/static/mootools.js
+	dh_link -ptribler usr/share/javascript/excanvas/excanvas.js usr/share/tribler/Tribler/Main/webUI/static/excanvas.js
 
 override_dh_auto_clean:
 	make -C $(CURDIR)/Tribler/SwiftEngine clean || echo "SwiftEngine cleaned"
